export const addLabelValue = (arr: any) => {
    return arr.map((item: any) => {
        // 为当前对象添加 label 和 value 属性
        const newItem = { ...item };
        newItem.label = newItem.name;
        newItem.value = newItem.id;

        // 如果有子对象，递归调用 addLabelValue 处理子对象
        if (newItem.children && Array.isArray(newItem.children)) {
            newItem.children = addLabelValue(newItem.children);
        }
        return newItem;
    });
};
